### GET /api/data/airport Source: https://aviationweather.gov/data/schema/openapi.yaml Information about airports ```markdown ### Parameters - **ids** (string, query, optional): Station ID(s) - **bbox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **format** (string (decoded|json|geojson), query, optional): Format ### Responses #### 200 - Successful operation - Array of object - **icaoId** (string) - **iataId** (string) - **faaId** (string) - **name** (string) - **state** (string) - **country** (string) - **source** (string) - **type** (string) - **lat** (string) - **lon** (string) - **elev** (string) - **magdec** (string) - **owner** (string) - **runways** (array) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/airport?ids=string&bbox=string&format=decoded" ``` ``` -------------------------------- ### GET /api/data/obstacle Source: https://aviationweather.gov/data/schema/openapi.yaml Aviation obstacle information ```markdown ### Parameters - **bbox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **format** (string (raw|json|geojson), query, optional): Format ### Responses #### 200 - successful operation Empty response body #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/obstacle?bbox=string&format=raw" ``` ``` -------------------------------- ### GET /api/data/navaid Source: https://aviationweather.gov/data/schema/openapi.yaml Navigational aid data ```markdown ### Parameters - **ids** (string, query, optional): three character identifier - **bbox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **format** (string (raw|json|geojson), query, optional): Format ### Responses #### 200 - Successful operation - Array of object - **id** (string) - **type** (string) - **name** (string) - **state** (string) - **country** (string) - **lat** (number) - **lon** (number) - **elev** (number) - **freq** (number) - **mag_dec** (string) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/navaid?ids=string&bbox=string&format=raw" ``` ``` -------------------------------- ### GET /api/data/fix Source: https://aviationweather.gov/data/schema/openapi.yaml Navigational fix data ```markdown ### Parameters - **ids** (string, query, optional): 5 letter Fix ID(s) - **bbox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **format** (string (raw|json|geojson), query, optional): Format ### Responses #### 200 - Successful operation - Array of object - **id** (string) - **type** (string) - **lat** (number) - **lon** (number) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/fix?ids=string&bbox=string&format=raw" ``` ``` -------------------------------- ### GET /api/data/windtemp Source: https://aviationweather.gov/data/schema/openapi.yaml Wind and temperature information from the legacy FD winds ```markdown ### Parameters - **region** (string (us|bos|mia|chi|dfw|slc|sfo|alaska|hawaii|other_pac), query, optional): Region: * `us` - All contiguous US sites * `bos` - Northeast * `mia` - Southeast * `chi` - North central * `dfw` - South central * `slc` - Rocky Mountain * `sfo` - Pacific Coast * `alaska` - Alaska * `hawaii` - Hawaii * `other_pac` - Western Pacific - **level** (string (low|high), query, optional): Level - **fcst** (string (06|12|24), query, optional): Forecast cycle ### Responses #### 200 - successful operation #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/windtemp?region=us&level=low&fcst=06" ``` ``` -------------------------------- ### GET /api/data/feature Source: https://aviationweather.gov/data/schema/openapi.yaml Additional geographic features ```markdown ### Parameters - **bbox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **format** (string (raw|json|geojson), query, optional): Format ### Responses #### 200 - successful operation Empty response body #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/feature?bbox=string&format=raw" ``` ``` -------------------------------- ### GET /api/data/dataserver Source: https://aviationweather.gov/data/schema/openapi.yaml Compatibility layer with previous Text Data Service. Station identifiers or a bounding box, as well as a time selection, are required. ```markdown ### Parameters - **requestType** (string (retrieve), query, required) - **dataSource** (string (metars|tafs|aircraftreports|airsigmets|gairmets), query, required) - **stationString** (string, query, optional): Station ID(s) - **boundingBox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **startTime** (string, query, optional): Start time * `yyyymmdd_hhmm` * `yyyy-mm-ddThh:mm:ssZ` - **endTime** (string, query, optional): End time * `yyyymmdd_hhmm` * `yyyy-mm-ddThh:mm:ssZ` - **hoursBeforeNow** (number, query, optional): Number of hours before now to search - **format** (string (xml|csv), query, optional): Output format (TAFs not available in CSV format) - **mostRecentForEachStation** (string (constraint|postfilter), query, optional): Most recent per station (METARs and TAFs only) - **radialDistance** (string, query, optional): Circular bounds defined by latitude, longitude and radial distance in statute miles (PIREPS only) ### Responses #### 200 - successful operation Empty response body #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/dataserver?requestType=retrieve&dataSource=metars&stationString=string&boundingBox=string&startTime=string&endTime=string&hoursBeforeNow=0&format=xml&mostRecentForEachStation=constraint&radialDistance=string" ``` ``` -------------------------------- ### GET /api/data/gairmet Source: https://aviationweather.gov/data/schema/openapi.yaml Decoded G-AIRMETs for the contiguous United States. See /api/data/airmet for similar advisories over Alaska. ```markdown ### Parameters - **product** (string (sierra|tango|zulu), query, optional): Product type - **format** (string (raw|json|geojson|xml), query, optional): Format - **hazard** (string (turb-hi|turb-lo|llws|sfc_wind|ifr|mtn_obs|ice|fzlvl), query, optional): Hazard - **date** (string, query, optional): String (`yyyymmdd_hhmm`) or ISO 8601 Date (`yyyy-mm-ddThh:mm:ssZ`) - **fore** (number, query, optional): Forecast hour from selected forecast package ### Responses #### 200 - successful operation **GairmetJSON** - Array of object - **tag** (string): Forecast component tag - **forecastHour** (integer) - **validTime** (string) - **hazard** (string): Hazard type - **geometryType** (string (AREA|LINE)) ("AREA"|"LINE") - **latlonpairs** (integer) - **due_to** (string) - **receiptTime** (integer) - **issueTime** (integer) - **expireTime** (integer) - **product** (string (SIERRA|TANGO|ZULU)) ("SIERRA"|"TANGO"|"ZULU") - **coords** (array (object)) **GairmetGeoJSON** - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object) - **tag** (string) - **forecastHour** (integer) - **receiptTime** (string) - **issueTime** (string) - **validTime** (string) - **hazard** (string) - **due_to** (string) - **product** (string (SIERRA|TANGO|ZULU)) ("SIERRA"|"TANGO"|"ZULU") - **geometry** (object) - **type** (string (Polygon)) ("Polygon") - **coordinates** (array (number)) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/gairmet?product=sierra&format=raw&hazard=turb-hi&date=string&fore=0" ``` ``` -------------------------------- ### GET /api/data/taf Source: https://aviationweather.gov/data/schema/openapi.yaml Decoded Terminal Aerodrome Forecast products. Station identifiers or a bounding box is required. ```markdown ### Parameters - **ids** (string, query, optional): Station ID(s) - **bbox** (string, query, optional): Geographic bounding box (lat0, lon0, lat1, lon1) - **format** (string (raw|json|geojson|xml|iwxxm), query, optional): Format - **metar** (boolean, query, optional): Include METAR - **time** (string (valid|issue), query, optional): Process time by valid (default) or issuance time - **date** (string, query, optional): String (`yyyymmdd_hhmm`) or ISO 8601 Date (`yyyy-mm-ddThh:mm:ssZ`) ### Responses #### 200 - successful operation **TAFJSON** - Array of TAFproperties **TAFGeoJSON** - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object): TAFs - **icaoId** (string): ICAO identifier - **dbPopTime** (string): The time the product was received (yyyy-mm-dd hh:mm:ss.sssZ) - **bulletinTime** (string): The official time of the bulletin (yyyy-mm-dd hh:mm:ss.sssZ) - **issueTime** (string): The time the product was issued (yyyy-mm-dd hh:mm:ss.sssZ) - **validTimeFrom** (integer): The time the period of validity starts (unix timestamp) - **validTimeTo** (integer): The time the period of validity ends (unix timestamp) - **rawTAF** (string): The raw text of the TAF - **mostRecent** (integer): Most recent flag (1=most recent, 0=not) - **remarks** (string): Any additional remarks for TAF - **lat** (number): Latitude of site in degrees - **lon** (number): Longitude of site in degrees - **elev** (integer): Elevation of site in meters - **prior** (integer): Priority of site for progressive disclosure (0-9) - **name** (string): Full name of the site - **fcsts** (array (object)): Each forecast within the TAF Array items: - **timeFrom** (integer) (required): The time the forecast validity starts (UNIX timestamp) - **timeTo** (integer) (required): The time the forecast validity ends (UNIX timestamp) - **timeBec** (integer) (required): The time the forecast transition ends BECMG 0501/0503 - last time in sequence (UNIX timestamp) - **fcstChange** (string (TEMPO|FM|BECMG|PROB)) (required): Change type for each forecast ("TEMPO"|"FM"|"BECMG"|"PROB") - **probability** (integer) (required): The probability of occurrence from PROB30 change group - **wdir** (integer) (required) - **wspd** (integer) (required): Wind speed in knots - **wgst** (integer) (required): Wind gusts in knots - **wshearHgt** (integer) (required): Wind shear layer top in feet - **wshearDir** (integer) (required): Wind direction at top of wind shear layer in degrees - **wshearSpd** (integer) (required): Wind speed at top of wind shear layer in knots - **visib** (number) (required) - **altim** (number) (required): Altimeter setting in hectoPascal - **vertVis** (integer) (required): Vertical visibility in feet - **wxString** (string) (required): Encoded present weather string - **notDecoded** (string) (required): Any text that wasn't decoded - **clouds** (array (object)) (required): Clouds Array items: - **cover** (string (CLR|CAVOK|FEW|SCT|BKN|OVC|OVX)) (required): Cover coverage ("CLR"|"CAVOK"|"FEW"|"SCT"|"BKN"|"OVC"|"OVX") - **base** (integer) (required): Cloud base in feet - **top** (integer): Cloud top in feet - **icgTurb** (array (object)) (required): Icing and turbulence forecasts Array items: - **var** (string (ICE|TURB)) (required): Variable - ice or turb ("ICE"|"TURB") - **intensity** (integer) (required): Intensity setting (0-9, see TAF implementation table) - **minAlt** (integer) (required): Minimum altitude in feet - **maxAlt** (integer) (required): Maximum altitude in feet - **temp** (array (object)) (required): The temp Schema Array items: - **validTime** (integer) (required): Valid time for max/min temperature (unix timestamp) - **sfcTemp** (integer) (required): Surface tmperature in Celsius - **maxOrMin** (string (MAX|MIN)) (required): Is the value a max or min ("MAX"|"MIN") - **geometry** (object) - **type** (string (Point)) ("Point") - **coordinates** (array (number)) **TAFtext** #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/taf?ids=string&bbox=string&format=raw&metar=true&time=valid&date=string" ``` ``` -------------------------------- ### GET /api/data/airsigmet Source: https://aviationweather.gov/data/schema/openapi.yaml Domestic SIGMETs for the contiguous United States. Does not include SIGMETs issued by the US in international format. ```markdown ### Parameters - **format** (string (raw|json|geojson|xml|iwxxm), query, optional): Format - **types** (string (sigmet|airmet), query, optional): Product type - **hazard** (string (conv|turb|ice|ifr), query, optional): Hazard - **level** (number, query, optional): The level +-3000' to search ### Responses #### 200 - successful operation **AirSigmetJSON** - Array of object - **icaoId** (string) - **alphaChar** (string) - **seriesId** (string) - **receiptTime** (string): Time received by AWC - **creationTime** (string): Issuance time - **validTimeFrom** (integer) - **validTimeTo** (integer) - **airSigmetType** (string (SIGMET)): Product type (always SIGMET) ("SIGMET") - **hazard** (string): Hazard type - **qualifier** (string) - **altitudeHi1** (integer) - **altitudeHi2** (integer) - **altitudeLo1** (integer) - **altitudeLo2** (integer) - **movementDir** (integer) - **movementSpd** (integer) - **postProcessFlag** (integer) - **severity** (integer) - **rawAirSigmet** (string): Raw product - **coords** (array (object)) **AirSigmetGeoJSON** - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object) - **icaoId** (string) - **alphaChar** (string) - **seriesId** (string) - **validTimeFrom** (string) - **validTimeTo** (string) - **airSigmetType** (string (SIGMET)) ("SIGMET") - **hazard** (string) - **altitudeHi1** (integer) - **altitudeHi2** (integer) - **altitudeLo1** (integer) - **altitudeLo2** (integer) - **movementDir** (integer) - **movementSpd** (integer) - **severity** (integer) - **rawAirSigmet** (string) - **geometry** (object) - **type** (string (Polygon)) ("Polygon") - **coordinates** (array (number)) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/airsigmet?format=raw&types=sigmet&hazard=conv&level=0" ``` ``` -------------------------------- ### GET /api/data/areafcst Source: https://aviationweather.gov/data/schema/openapi.yaml Text Area Forecasts for the United States outside the contiguous states (Alaska) ```markdown ### Parameters - **region** (string (aknorth|akcentral|akaleutian|aksouth|aksouthwest|aksoutheast|akpanhandle), query, required): Date * `aknorth` - Northern half of Alaska * `akcentral` - Interior Alaska * `aksouth` - Southcentral Alaska * `aksouthwest` - Alaska Peninsula * `aksoutheast` - Eastern Gulf of Alaska * `akpanhandle` - Alaska ### Responses #### 200 - successful operation #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/areafcst?region=aknorth" ``` ``` -------------------------------- ### GET /api/data/tcf Source: https://aviationweather.gov/data/schema/openapi.yaml Traffic Flow Management (TFM) Convective Forecast. See https://aviationweather.gov/tcf/ for more information. ```markdown ### Parameters - **format** (string (raw|geojson), query, optional): Format ### Responses #### 200 - successful operation **TcfGeoJSON** - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object) - **validTime** (string) - **issueTime** (string) - **coverage** (string (sparse|medium)): Convective coverage ("sparse"|"medium") - **confidence** (string (high)): Forecast confidence ("high") - **tops** (number): Echo top category ("290"|"340"|"390"|"400") - **labelpos** (array (number)) - **geometry** (object) - **type** (string (Polygon)) ("Polygon") - **coordinates** (array (number)) - **issueTime** (string): Issuance date and time #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/tcf?format=raw" ``` ``` -------------------------------- ### GET /api/data/mis Source: https://aviationweather.gov/data/schema/openapi.yaml Meteorological Information Statements issued by NWS Center Weather Service Units (CWSU) ```markdown ### Parameters - **loc** (string, query, optional): CWSU - **format** (string (json|text), query, optional): Format ### Responses #### 200 - successful operation #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/mis?loc=string&format=text" ``` ``` -------------------------------- ### GET /api/data/cwa Source: https://aviationweather.gov/data/schema/openapi.yaml Center Weather Advisories issued by NWS Center Weather Service Units (CWSUs) ```markdown ### Parameters - **hazard** (string (ts|turb|ice|ifr|pcpn|unk), query, optional): Hazard - **format** (string (raw|json|geojson), query, optional): Format - **date** (string, query, optional): String (`yyyymmdd_hhmm`) or ISO 8601 Date (`yyyy-mm-ddThh:mm:ssZ`) ### Responses #### 200 - successful operation **CwaJSON** - Array of object - **cwsu** (string): Issuing CWSU identifier - **name** (string): Issuing CWSU name - **receiptTime** (string) - **validTimeFrom** (integer) - **validTimeTo** (integer) - **hazard** (string): Hazard type - **seriesId** (integer) - **qualifier** (string) - **base** (integer) - **top** (integer) - **geom** (string (AREA|LINE)) ("AREA"|"LINE") - **coords** (array (object)) - **rawText** (string) **CwaGeoJSON** - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object) - **cwsu** (string): Issuing CWSU identifier - **name** (string): Issuing CWSU name - **validTimeFrom** (integer) - **validTimeTo** (integer) - **hazard** (string): Hazard type - **seriesId** (integer) - **qualifier** (string) - **base** (integer) - **top** (integer) - **cwaText** (string) - **geometry** (object) - **type** (string (Polygon)) ("Polygon") - **coordinates** (array (number)) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/cwa?hazard=ts&format=raw&date=string" ``` ``` -------------------------------- ### GET /api/data/airmet Source: https://aviationweather.gov/data/schema/openapi.yaml Decoded domestic AIRMETs (Alaska only). See /api/data/gairmet for similar advisories over the contiguous United States. ```markdown ### Parameters - **format** (string (json|geojson|iwxxm), query, optional): Format - **hazard** (string (turb|ifr|conv|ice), query, optional): Hazard - **level** (number, query, optional): Level +-3000' to search - **date** (string, query, optional): String (`yyyymmdd_hhmm`) or ISO 8601 Date (`yyyy-mm-ddThh:mm:ssZ`) ### Responses #### 200 - successful operation #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/airmet?format=json&hazard=turb&level=0&date=string" ``` ``` -------------------------------- ### GET /api/data/isigmet Source: https://aviationweather.gov/data/schema/openapi.yaml Decoded international SIGMETs. This does not include SIGMETs issued by the United States in domestic format (i.e. convective and non-convective domestic SIGMETS). ```markdown ### Parameters - **format** (string (raw|json|geojson|xml|iwxxm), query, optional): Format - **hazard** (string (turb|ice), query, optional): Hazard - **level** (number, query, optional): Level +-3000' to search - **date** (string, query, optional): String (`yyyymmdd_hhmm`) or ISO 8601 Date (`yyyy-mm-ddThh:mm:ssZ`) ### Responses #### 200 - Successful operation **ISigmetJSON** - Array of object - **icaoId** (string): Issuing office identifier - **firId** (string): Flight Information Region identifier - **firName** (string): Flight Information Region name - **receiptTime** (string): Time received by AWC - **validTimeFrom** (integer) - **validTimeTo** (integer) - **seriesId** (string) - **hazard** (string): Hazard type - **qualifier** (string) - **base** (integer) - **top** (integer) - **geom** (string (AREA|LINE)): Geometry type ("AREA"|"LINE") - **coords** (array (object)) - **dir** (string) - **spd** (number) - **chng** (string) **ISigmetGeoJSON** - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object) - **icaoId** (string) - **firId** (string) - **firName** (string) - **validTimeFrom** (integer) - **validTimeTo** (integer) - **seriesId** (string) - **hazard** (string) - **qualifier** (string) - **base** (integer) - **top** (integer) - **dir** (string) - **spd** (number) - **chng** (string) - **rawSigmet** (string) - **geometry** (object) - **type** (string (Polygon)) ("Polygon") - **coordinates** (array (number)) #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/isigmet?format=raw&hazard=turb&level=0&date=string" ``` ``` -------------------------------- ### GET /api/data/fcstdisc Source: https://aviationweather.gov/data/schema/openapi.yaml Aviation Forecast Discussions issued by NWS Weather Forecast Offices. Returns aviation section or full discussion issued within the past six hours. ```markdown ### Parameters - **cwa** (string, query, optional): County Warning Area (WFO) - **type** (string (afd|af), query, optional): Type of output: * `afd` - aviation discussion * `af` - full discussion ### Responses #### 200 - successful operation #### 400 - response **ErrorJSON** - **status** (string (error)) ("error") - **error** (string) **ErrorXML** - **request_index** (number) - **data_source** (number) - **request** (object) - **errors** (array (string)) - **warnings** (array (string)) ### Example Usage ```bash curl -X GET "https://api.example.com/api/data/fcstdisc?cwa=string&type=afd" ``` ``` -------------------------------- ### Schema: METARtext Source: https://aviationweather.gov/data/schema/openapi.yaml Raw text of observation ```markdown ## Schema: METARtext Raw text of observation **Type:** string ``` -------------------------------- ### Schema: METARproperties Source: https://aviationweather.gov/data/schema/openapi.yaml Schema definition for METARproperties ```markdown ## Schema: METARproperties Schema definition for METARproperties **Type:** object - **icaoId** (string): ICAO identifier - **receiptTime** (string): The time the observation was received (yyyy-mm-dd hh:mm:ss.sssZ) - **obsTime** (integer): The observation time (UNIX timestamp) - **reportTime** (string): The time of the report (yyyy-mm-dd hh:mm:ss.sssZ) - **temp** (number): Temperature in Celsius - **dewp** (number): Dewpoint temperature in Celsius - **wdir** (integer) - **wspd** (integer): Wind speed in knots - **wgst** (integer): Wind gusts in knots - **visib** (number) - **altim** (number): Altimeter setting in hectopascals - **slp** (number): Sea level pressure in hectopascals - **wxString** (string): Encoded present weather string - **presTend** (number): Pressure tendency over last 3 hours in hectopascals - **maxT** (number): Maximum temperature over last 6 hours in Celsius - **minT** (number): Minimum temperature over last 6 hours in Celsius - **maxT24** (number): Maximum temperature over last 24 hours in Celsius - **minT24** (number): Minimum temperature over last 24 hours in Celsius - **precip** (number): Precipitation over last hour in inches - **pcp3hr** (number): Precipitation over last 3 hours in inches - **pcp6hr** (number): Precipitation over last 6 hours in inches - **pcp24hr** (number): Precipitation over last 24 hours in inches - **snow** (number): Snow depth in inches - **vertVis** (integer): Vertical visibility in feet - **metarType** (string (METAR|SPECI|SYNOP|BUOY|CMAN)): Type of encoding ("METAR"|"SPECI"|"SYNOP"|"BUOY"|"CMAN") - **rawOb** (string): Raw text of observation - **lat** (number): Latitude of site in degrees - **lon** (number): Longitude of site in degrees - **elev** (integer): Elevation of site in meters - **name** (string): Full name of the site - **clouds** (array (object)): Clouds Array items: - **cover** (string (CLR|CAVOK|FEW|SCT|BKN|OVC|OVX)) (required): Cover coverage ("CLR"|"CAVOK"|"FEW"|"SCT"|"BKN"|"OVC"|"OVX") - **base** (integer) (required): Cloud base in feet - **top** (integer): Cloud top in feet - **fltCat** (string): Flight category restriction ``` -------------------------------- ### API Overview: AviationWeather.gov API Source: https://aviationweather.gov/data/schema/openapi.yaml Schema for public data API of AviationWeather.gov. ```yaml # AviationWeather.gov API # Version: v4.0 Schema for public data API of AviationWeather.gov. # Base URL: Not specified ``` -------------------------------- ### Schema: METARGeoJSON Source: https://aviationweather.gov/data/schema/openapi.yaml Schema definition for METARGeoJSON ```markdown ## Schema: METARGeoJSON Schema definition for METARGeoJSON **Type:** object - **type** (string (FeatureCollection)) ("FeatureCollection") - **features** (array (object)) Array items: - **type** (string (Feature)) ("Feature") - **id** (number) - **properties** (object) - **icaoId** (string): ICAO identifier - **receiptTime** (string): The time the observation was received (yyyy-mm-dd hh:mm:ss.sssZ) - **obsTime** (integer): The observation time (UNIX timestamp) - **reportTime** (string): The time of the report (yyyy-mm-dd hh:mm:ss.sssZ) - **temp** (number): Temperature in Celsius - **dewp** (number): Dewpoint temperature in Celsius - **wdir** (integer) - **wspd** (integer): Wind speed in knots - **wgst** (integer): Wind gusts in knots - **visib** (number) - **altim** (number): Altimeter setting in hectopascals - **slp** (number): Sea level pressure in hectopascals - **wxString** (string): Encoded present weather string - **presTend** (number): Pressure tendency over last 3 hours in hectopascals - **maxT** (number): Maximum temperature over last 6 hours in Celsius - **minT** (number): Minimum temperature over last 6 hours in Celsius - **maxT24** (number): Maximum temperature over last 24 hours in Celsius - **minT24** (number): Minimum temperature over last 24 hours in Celsius - **precip** (number): Precipitation over last hour in inches - **pcp3hr** (number): Precipitation over last 3 hours in inches - **pcp6hr** (number): Precipitation over last 6 hours in inches - **pcp24hr** (number): Precipitation over last 24 hours in inches - **snow** (number): Snow depth in inches - **vertVis** (integer): Vertical visibility in feet - **metarType** (string (METAR|SPECI|SYNOP|BUOY|CMAN)): Type of encoding ("METAR"|"SPECI"|"SYNOP"|"BUOY"|"CMAN") - **rawOb** (string): Raw text of observation - **lat** (number): Latitude of site in degrees - **lon** (number): Longitude of site in degrees - **elev** (integer): Elevation of site in meters - **name** (string): Full name of the site - **clouds** (array (object)): Clouds Array items: - **cover** (string (CLR|CAVOK|FEW|SCT|BKN|OVC|OVX)) (required): Cover coverage ("CLR"|"CAVOK"|"FEW"|"SCT"|"BKN"|"OVC"|"OVX") - **base** (integer) (required): Cloud base in feet - **top** (integer): Cloud top in feet - **fltCat** (string): Flight category restriction - **geometry** (object) - **type** (string (Point)) ("Point") - **coordinates** (array (number)) ``` -------------------------------- ### Schema: METARJSON Source: https://aviationweather.gov/data/schema/openapi.yaml Schema definition for METARJSON ```markdown ## Schema: METARJSON Schema definition for METARJSON **Type:** array - Array of METARproperties ``` === COMPLETE CONTENT === This response contains all available snippets from this library. No additional content exists. Do not make further requests.